def agentName = 'Dockertestnode'
def secreCredName = 'DockertestnodeID-sercret'
def containerName = 'jenkinsci/jnlp-slave'
def URLaddr = 'http://18.221.19.96:8080'
node(''){
    withCredentials([string(credentialsId: "${secreCredName}", variable: 'TOKEN')]) {
    docker.withTool("docker") { 
        withDockerServer([uri: "tcp://18.188.242.243:2375"]) { 
        sh "docker images"
        sh "docker ps -a"
        sh "docker run -d ${containerName} -url ${URLaddr} ${TOKEN} ${agentName}"
        } 
    }
    }
}